Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.f90	(revision 5099)
@@ -0,0 +1,86 @@
+
+! splaeropt_lw_rrtm.F90 2014-05-13 C. Kleinschmitt
+!                      2016-05-03 O. Boucher 
+
+! This routine feeds aerosol LW properties to RRTM
+! we only consider absorption (not scattering)
+
+SUBROUTINE SPLAEROPT_LW_RRTM(ok_alw, zdm, tr_seri)
+
+  USE dimphy
+  USE aero_mod
+  USE infotrac_phy, ONLY : nqtot, nbtr, tracers
+  USE phys_state_var_mod, ONLY : tau_aero_lw_rrtm
+  USE lmdz_yoerad, ONLY : NLW
+
+  IMPLICIT NONE
+
+  INCLUDE "clesphys.h"
+
+  ! Input arguments:
+
+  LOGICAL, INTENT(IN) :: ok_alw
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: zdm
+  REAL, DIMENSION(klon, klev, nbtr), INTENT(IN) :: tr_seri
+
+  ! Local arguments : 
+
+  INTEGER, PARAMETER :: naero_soluble = 2    ! 1- accumulation soluble; 2- coarse soluble
+  INTEGER, PARAMETER :: naero_insoluble = 2  ! 1- coarse dust; 2- supercoarse dust
+  INTEGER, PARAMETER :: naero = naero_soluble + naero_insoluble
+
+  INTEGER inu, itr, iq, spinsol
+  CHARACTER*20 modname
+
+  !--absorption coefficient for coarse and super-coarse DUST
+  REAL :: alpha_abs_CIDUST_16bands(nbands_lw_rrtm, naero_insoluble)   !--unit m2/g
+  DATA alpha_abs_CIDUST_16bands /                         &
+          ! Dust CO insoluble
+          0.001, 0.003, 0.005, 0.006, 0.011, 0.031, 0.157, 0.102, &
+          0.017, 0.056, 0.032, 0.008, 0.010, 0.011, 0.013, 0.016, &
+          ! Dust SC insoluble
+          0.002, 0.004, 0.007, 0.010, 0.018, 0.043, 0.099, 0.071, &
+          0.021, 0.056, 0.033, 0.011, 0.013, 0.014, 0.016, 0.018 /
+
+  modname = 'splaeropt_lw_rrtm'
+
+  IF (NLW/=nbands_lw_rrtm) THEN
+    CALL abort_physic(modname, 'Erreur NLW doit etre egal a 16 pour cette routine', 1)
+  ENDIF
+
+  IF (ok_alw) THEN
+
+    !--initialisation
+    tau_aero_lw_rrtm = 0.0
+
+    itr = 0
+    DO iq = 1, nqtot
+      IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+      itr = itr + 1
+      SELECT CASE(tracers(iq)%name)
+      CASE('PREC', 'FINE', 'COSS'); CYCLE                  !--precursor or fine/coarde accumulation mode
+      CASE('CODU'); spinsol = 1                            !--coarse mode dust
+      CASE('SCDU'); spinsol = 2                            !--super coarse mode dust
+      CASE DEFAULT; CALL abort_physic(modname, 'I cannot do aerosol optics for ' // tracers(iq)%name, 1)
+      END SELECT
+
+      DO inu = 1, NLW
+
+        !--total aerosol
+        tau_aero_lw_rrtm(:, :, 2, inu) = tau_aero_lw_rrtm(:, :, 2, inu) + tr_seri(:, :, itr) * zdm(:, :) * alpha_abs_CIDUST_16bands(inu, spinsol)
+        !--no aerosol at all
+        tau_aero_lw_rrtm(:, :, 1, inu) = tau_aero_lw_rrtm(:, :, 1, inu) + 0.0
+
+      ENDDO
+
+    ENDDO
+
+    !--avoid very small values
+    tau_aero_lw_rrtm = MAX(tau_aero_lw_rrtm, 1.e-15)
+
+  ELSE
+    !--default value
+    tau_aero_lw_rrtm = 1.e-15
+  ENDIF
+
+END SUBROUTINE SPLAEROPT_LW_RRTM
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaerosol_optic_rrtm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaerosol_optic_rrtm.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaerosol_optic_rrtm.f90	(revision 5099)
@@ -0,0 +1,85 @@
+! $Id: splaerosol_optic_rrtm.F90 2644 2016-10-02 16:55:08Z oboucher $
+
+SUBROUTINE splaerosol_optic_rrtm(ok_alw, pplay, paprs, t_seri, rhcl, &
+        tr_seri, mass_solu_aero, mass_solu_aero_pi, &
+        tau_aero, piz_aero, cg_aero, &
+        tausum_aero, tau3d_aero)
+
+  ! This routine will :
+  ! 1) recevie the aerosols(already read and interpolated) corresponding to flag_aerosol
+  ! 2) calculate the optical properties for the aerosols
+
+  USE dimphy
+  USE aero_mod
+  USE infotrac_phy, ONLY : nbtr, nqtot, tracers
+  USE lmdz_yomcst, ONLY : RD, RG
+
+  IMPLICIT NONE
+
+  INCLUDE "clesphys.h"
+
+
+  ! Input arguments
+  !****************************************************************************************
+  LOGICAL, INTENT(IN) :: ok_alw                      ! Apply aerosol LW effect or not
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: pplay
+  REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: t_seri
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: rhcl   ! humidite relative ciel clair
+  REAL, DIMENSION(klon, klev, nbtr), INTENT(IN) :: tr_seri ! concentration tracer
+
+  ! Output arguments
+  !****************************************************************************************
+  REAL, DIMENSION(klon, klev), INTENT(OUT) :: mass_solu_aero    ! Total mass for all soluble aerosols
+  REAL, DIMENSION(klon, klev), INTENT(OUT) :: mass_solu_aero_pi !     -"-     preindustrial values
+  REAL, DIMENSION(klon, klev, 2, NSW), INTENT(OUT) :: tau_aero    ! Aerosol optical thickness
+  REAL, DIMENSION(klon, klev, 2, NSW), INTENT(OUT) :: piz_aero    ! Single scattering albedo aerosol
+  REAL, DIMENSION(klon, klev, 2, NSW), INTENT(OUT) :: cg_aero     ! asymmetry parameter aerosol
+  REAL, DIMENSION(klon, nwave, naero_tot), INTENT(OUT) :: tausum_aero
+  REAL, DIMENSION(klon, klev, nwave, naero_tot), INTENT(OUT) :: tau3d_aero
+
+  INTEGER i, k, iq, itr
+  REAL, DIMENSION(klon, klev) :: zdm, zdh
+  REAL zrho, pdel
+
+  ! Calculate the total mass of all soluble accumulation mode aerosols
+  ! to be revisited for AR6
+
+  mass_solu_aero(:, :) = 0.0
+  mass_solu_aero_pi(:, :) = 0.0
+
+  itr = 0
+  DO iq = 1, nqtot
+    IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+    itr = itr + 1
+    IF(tracers(iq)%name/='FINE') THEN
+      mass_solu_aero(:, :) = tr_seri(:, :, itr)
+      mass_solu_aero_pi(:, :) = tr_seri(:, :, itr)
+    ENDIF
+  ENDDO
+
+  ! Calculate layer thickness
+  DO k = 1, klev
+    DO i = 1, klon
+      pdel = paprs(i, k) - paprs(i, k + 1)
+      zrho = pplay(i, k) / t_seri(i, k) / RD             ! kg/m3
+      zdh(i, k) = pdel / (RG * zrho)                    ! m
+      zdm(i, k) = pdel / RG                           ! kg/m2
+    ENDDO
+  ENDDO
+
+  !--new aerosol properties
+  ! aeropt_6bands for rrtm
+  CALL splaeropt_6bands_rrtm(&
+          zdm, tr_seri, rhcl, &
+          tau_aero, piz_aero, cg_aero)
+
+  ! aeropt_5wv only for validation and diagnostics
+  CALL splaeropt_5wv_rrtm(&
+          zdm, zdh, tr_seri, rhcl, &
+          tausum_aero, tau3d_aero)
+
+  ! LW optical properties for tropospheric aerosols
+  CALL splaeropt_lw_rrtm(ok_alw, zdm, tr_seri)
+
+END SUBROUTINE splaerosol_optic_rrtm
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90	(revision 5099)
@@ -0,0 +1,66 @@
+SUBROUTINE tiedqneg (pres_h, q, d_q)
+
+  USE dimphy
+  IMPLICIT none
+  !======================================================================
+  ! Auteur(s): CG (LGGE/CNRS) date: 19950201
+  ! O. Boucher (LOA/CNRS) date 19961125
+  ! Objet:  Correction eventuelle des valeurs negatives d'humidite
+  ! induites par le schema de convection de Tiedke
+  !======================================================================
+  ! Arguments:
+  ! pres_h--input-R-la valeur de la pression aux interfaces
+  ! q-------input-R-quantite de traceur
+  ! d_q-----input-output-R-increment du traceur
+  !======================================================================
+
+  INCLUDE "dimensions.h"
+  ! INCLUDE "dimphy.h"
+  REAL :: pres_h(klon, klev + 1)
+  REAL :: q(klon, klev)
+  REAL :: d_q(klon, klev)
+  INTEGER :: nb_neg
+  INTEGER :: i, l
+
+  REAL :: qmin
+  PARAMETER (qmin = 0.0)
+
+  DO l = klev, 2, -1
+    nb_neg = 0
+    DO i = 1, klon
+      IF (q(i, l) + d_q(i, l)<qmin) THEN
+        nb_neg = nb_neg + 1
+        d_q(i, l - 1) = d_q(i, l - 1) + (q(i, l) + d_q(i, l) - qmin) &
+                * (pres_h(i, l) - pres_h(i, l + 1)) / (pres_h(i, l - 1) - pres_h(i, l))
+        d_q(i, l) = qmin - q(i, l)
+      ENDIF
+    ENDDO
+    ! IF (nb_neg.NE.0) THEN
+    ! PRINT *,'niveau ', l,' ' , nb_neg, ' valeurs negatives'
+    ! ENDIF
+  ENDDO
+
+  DO l = 1, klev - 1
+    nb_neg = 0
+    DO i = 1, klon
+      IF (q(i, l) + d_q(i, l)<qmin) THEN
+        nb_neg = nb_neg + 1
+        d_q(i, l + 1) = d_q(i, l + 1) + (q(i, l) + d_q(i, l) - qmin) &
+                * (pres_h(i, l) - pres_h(i, l + 1)) / (pres_h(i, l + 1) - pres_h(i, l + 2))
+        d_q(i, l) = qmin - q(i, l)
+      ENDIF
+    ENDDO
+    ! IF (nb_neg.NE.0) THEN
+    ! PRINT *,'niveau ', l,' ' , nb_neg, ' valeurs negatives'
+    ! ENDIF
+  ENDDO
+
+  l = klev
+  DO i = 1, klon
+    IF (q(i, l) + d_q(i, l)<qmin) THEN
+      d_q(i, l) = qmin - q(i, l)
+    ENDIF
+  ENDDO
+
+  RETURN
+END SUBROUTINE tiedqneg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/FCTTRE.h	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Header$
-!
-!
+
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
 !                 et  bien positionner les & des lignes de continuation
 !                 (les placer en colonne 6 et en colonne 73)
-!
+
 !     ------------------------------------------------------------------
 !     This COMDECK includes the Thermodynamical functions for the cy39
@@ -20,12 +20,12 @@
       LOGICAL thermcep
       PARAMETER (thermcep=.TRUE.)
-!
+
       FOEEW ( PTARG,PDELARG ) = EXP (                                   &
      &          (R3LES*(1.-PDELARG)+R3IES*PDELARG) * (PTARG-RTT)        &
      & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG)) )
-!
+
       FOEDE ( PTARG,PDELARG,P5ARG,PQSARG,PCOARG ) = PQSARG*PCOARG*P5ARG &
      & / (PTARG-(R4LES*(1.-PDELARG)+R4IES*PDELARG))**2
-!
+
       qsats(ptarg) = 100.0 * 0.622 * 10.0                               &
      &           ** (2.07023 - 0.00320991 * ptarg                       &
@@ -36,5 +36,5 @@
      &           - 29810.16 * EXP( - 0.0699382 * ptarg)                 &
      &           + 25.21935 * EXP( - 2999.924 / ptarg))
-!
+
       dqsats(ptarg,pqsarg) = RLVTT/RCPD*pqsarg * (3.56654/ptarg         &
      &                     +2484.896*LOG(10.)/ptarg**2                  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE AER_SEDIMNT(pdtphys, t_seri, pplay, paprs, tr_seri, dens_aer)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! $Id$
-!
+
 MODULE aerophys
-!
+
   IMPLICIT NONE
-!
+
   REAL,PARAMETER    :: ropx=1500.0              ! default aerosol particle mass density [kg/m3]
   REAL,PARAMETER    :: dens_aer_dry=1848.682308 ! dry aerosol particle mass density at T_0=293K[kg/m3]
@@ -25,8 +25,8 @@
   REAL, PARAMETER   :: mNatome=14.0067*1.66E-27 ! Mass of an N atome [kg]
   REAL, PARAMETER   :: rgas=8.3145 ! molar gas cste (J⋅K−1⋅mol−1=m3⋅Pa⋅K−1⋅mol−1=kg⋅m2⋅s−2⋅K−1⋅mol−1)
-  ! 
+
   REAL, PARAMETER   :: MH2O  =1000.*mH2Omol     ! Mass of 1 molec [g] (18.016*1.66E-24)
   REAL, PARAMETER   :: MH2SO4=1000.*mH2SO4mol   ! Mass of 1 molec [g] (98.082*1.66E-24)
   REAL, PARAMETER   :: BOLZ  =1.381E-16         ! Boltzmann constant [dyn.cm/K]
-!
+
 END MODULE aerophys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5099)
@@ -1,14 +1,14 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE COAGULATE(pdtcoag,mdw,tr_seri,t_seri,pplay,dens_aer,is_strato)
   !     -----------------------------------------------------------------------
-  !
+
   !     Author : Christoph Kleinschmitt (with Olivier Boucher)
   !     ------
-  !
+
   !     purpose
   !     -------
-  !
+
   !     interface
   !     ---------
@@ -17,8 +17,8 @@
   !       tr_seri        tracer mixing ratios               [kg/kg]
   !       mdw             # or mass median diameter          [m]
-  !
+
   !     method
   !     ------
-  !
+
   !     -----------------------------------------------------------------------
 
@@ -204,10 +204,10 @@
   DO j=1, nbtr_bin
   DO i=1, nbtr_bin
-!
+
      num=4.*RPI*(radiuswet(i)+radiuswet(j))*(Di(i)+Di(j))
      denom=(radiuswet(i)+radiuswet(j))/(radiuswet(i)+radiuswet(j)+sqrt(delta(i)**2.+delta(j)**2.))+ &
    4.*(Di(i)+Di(j))/(sqrt(thvelpar(i)**2.+thvelpar(j)**2.)*(radiuswet(i)+radiuswet(j)))
      beta(i,j)=num/denom
-!
+
 !--compute enhancement factor due to van der Waals forces
    IF (ok_vdw == 0) THEN      !--no enhancement factor
@@ -222,5 +222,5 @@
       EvdW = 1. + SQRT(AvdWi/3.)/(1.+bvdW0*SQRT(AvdWi)) + bvdW1*xvdW + bvdW3*xvdW**3.
    ENDIF
-!
+
    beta(i,j)=beta(i,j)*EvdW
 
@@ -247,14 +247,14 @@
        numi=0.0
        DO i=1, k-1
-!           
+
 !           see Jacobson: " In order to conserve volume and volume concentration (which
 !           coagulation physically does) while giving up some accuracy in number concentration" 
-!
+
 !           Coagulation of i and j giving k
 !           with V(i) and then V(j) because it considers i,j and j,i with the double loop
-!
+
 !           BUT WHY WET VOLUME V(i) in old STRATAER? tracers are already dry aerosols and coagulation 
 !           kernel beta(i,j) accounts for wet aerosols -> reply below
-!
+
 !             numi=numi+ff(i,j,k)*beta(i,j)*V(i)*tr_tp1(ilon,ilev,i)*tr_t(ilon,ilev,j)
             numi=numi+ff(i,j,k)*beta(i,j)*Vdry(i)*tr_tp1(ilon,ilev,i)*tr_t(ilon,ilev,j)
@@ -266,5 +266,5 @@
 !      tr_tp1(ilon,ilev,k)=(V(k)*tr_t(ilon,ilev,k)+pdtcoag*num)/( (1.+pdtcoag*denom)*V(k) )
     tr_tp1(ilon,ilev,k)=(Vdry(k)*tr_t(ilon,ilev,k)+pdtcoag*num)/( (1.+pdtcoag*denom)*Vdry(k) )
-!
+
 !       In constant composition (no dependency on aerosol size because no kelvin effect)
 !       V(l)= (f_r_wet(ilon,ilev)**3)*((mdw(l)/2.)**3) = (f_r_wet(ilon,ilev)**3)*Vdry(i)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE cond_evap_tstep_mod
 
@@ -11,5 +11,5 @@
       SUBROUTINE condens_evapor_rate_kelvin(R2SO4G,t_seri,pplay,R2SO4, &
    DENSO4,f_r_wet,R2SO4ik,DENSO4ik,f_r_wetik,FL,ASO4,DNDR)
-!
+
 !     INPUT: 
 !     R2SO4G: number density of gaseous H2SO4 [molecules/cm3]
@@ -127,5 +127,5 @@
 !       Kelvin factor (MKS)
         fkelvin=exp( 2.*1.e-3*surtens*1.e-6*mvh2so4/ (1.e-2*RRSI_wet(IK)*rgas*temp) )
-!                              
+
         DNDR(IK) =DND*fkelvin
 
@@ -167,5 +167,5 @@
       SUBROUTINE condens_evapor_rate(R2SO4G,t_seri,pplay,ACTSO4,R2SO4, &
    DENSO4,f_r_wet,FL,ASO4,DNDR)
-!
+
 !     INPUT: 
 !     R2SO4: aerosol H2SO4 weight fraction (percent)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE interp_sulf_input(debutphy,pdtphys,paprs,tr_seri)
 
@@ -84,9 +84,9 @@
 
   REAL H2SO4_lifetime_glo(klon_glo,klev)
-!
+
   REAL, ALLOCATABLE, SAVE :: OCS_clim(:,:)
   REAL, ALLOCATABLE, SAVE :: SO2_clim(:,:)
 !$OMP THREADPRIVATE(OCS_clim,SO2_clim)
-!
+
   INTEGER i, k, kk, j
   REAL p_bound
@@ -108,5 +108,5 @@
   2.47875223e+02,   1.50343923e+02,   9.11881985e+01, &
   5.53084382e+01,   3.35462635e+01,   0.0           /)
-!
+
  IF (.NOT.ALLOCATED(OCS_clim)) ALLOCATE(OCS_clim(klon,klev))
  IF (.NOT.ALLOCATED(SO2_clim)) ALLOCATE(SO2_clim(klon,klev))
@@ -311,5 +311,5 @@
   
   IF (is_mpi_root.AND.is_omp_root) THEN
-!
+
     DEALLOCATE(OCS_clim_in,SO2_clim_in,O3_clim_in)
     DEALLOCATE(OCS_clim_mth,SO2_clim_mth,O3_clim_mth)
@@ -318,5 +318,5 @@
     DEALLOCATE(OCS_lifetime_mth, SO2_lifetime_mth, H2SO4_lifetime_mth)
     DEALLOCATE(OCS_lifetime_tmp, SO2_lifetime_tmp, H2SO4_lifetime_tmp)
-!
+
   ENDIF !--is_mpi_root and is_omp_root
 
@@ -334,5 +334,5 @@
   DO i=1, klon
     DO k=1, klev
-      !
+
       !--OCS and SO2 prescribed back to their clim values below p_bound
       IF (paprs(i,k)>p_bound) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE micphy_tstep(pdtphys,tr_seri,t_seri,pplay,paprs,rh,is_strato)
 
@@ -63,14 +63,14 @@
   
   DO ilon=1, klon
-!
+
 !--initialisation of diagnostic
   budg_h2so4_to_part(ilon)=0.0
-!
+
   DO ilev=1, klev
-!
+
 !--initialisation of diagnostic
   budg_3D_nucl(ilon,ilev)=0.0
   budg_3D_cond_evap(ilon,ilev)=0.0
-!
+
   ! only in the stratosphere
   IF (is_strato(ilon,ilev)) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5099)
@@ -3,5 +3,5 @@
 !-------Mie computations for a size distribution 
 !       of homogeneous spheres.
-!
+
 !==========================================================
 !--Ref : Toon and Ackerman, Applied Optics, 1981
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE minmaxsimple(zq,qmin,qmax,comment)
   USE dimphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE nucleation_tstep_mod
 
@@ -136,5 +136,5 @@
 
   !    Fortran 90 subroutine binapara
-  !
+
   !    Calculates parametrized values of nucleation rate,
   !    mole fraction of sulphuric acid
@@ -142,7 +142,7 @@
   !    in H2O-H2SO4 system IF temperature, saturatio ratio of water and 
   !    sulfuric acid concentration  are given. 
-  !
+
   !    Copyright (C) 2002 Hanna Vehkamäki
-  !
+
   !    Division of Atmospheric Sciences
   !    Department of Physical Sciences
@@ -150,5 +150,5 @@
   !    FIN-00014 University of Helsinki
   !    Finland
-  !    
+
   !    hanna.vehkamaki@helsinki.fi
 
@@ -300,5 +300,5 @@
 
   !    Fortran 90 subroutine newbinapara
-  !
+
   !    Calculates parametrized values for neutral and ion-induced sulfuric acid-water particle formation rate
   !    of critical clusters, 
@@ -307,14 +307,14 @@
   !    and, optionally, either condensation sink due to pre-existing particle and ion pair production rate,
   !    or atmospheric concentration of negative ions are given. 
-  !
+
   !    The code calculates also the kinetic limit and the particle formation rate
   !    above this limit (in which case we set ntot=1 and na=1)
-  !
+
   !    Copyright (C)2018 Määttänen et al. 2018
-  !    
+
   !    anni.maattanen@latmos.ipsl.fr
   !    joonas.merikanto@fmi.fi
   !    hanna.vehkamaki@helsinki.fi
-  !
+
   !    References
   !    A. Määttänen, J. Merikanto, H. Henschel, J. Duplissy, R. Makkonen, 
@@ -322,11 +322,10 @@
   !    neutral and ion-induced sulfuric acid-water particle formation in 
   !    nucleation and kinetic regimes, J. Geophys. Res. Atmos., 122, doi:10.1002/2017JD027429.
-  !
+
   !    Brasseur, G., and A.  Chatel (1983),  paper  presented  at  the  9th  Annual  Meeting  of  the  
   !    European Geophysical Society, Leeds, Great Britain, August 1982.
-  !  
+
   !    Dunne, Eimear M., et al.(2016), Global atmospheric particle formation from CERN CLOUD measurements,
   !    Science 354.6316, 1119-1124.   
-  !
 
   USE aerophys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE ocs_to_so2(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE SO2_TO_H2SO4(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: stratH2O_methox.F90 3677 2020-05-06 15:18:32Z oboucher $
-!
+
 SUBROUTINE stratH2O_methox(debutphy,paprs,dq_ch4mmr)
-!
+
 ! output: CH4VMR in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
 
@@ -60,5 +60,5 @@
   REAL, ALLOCATABLE :: CH4RVMR_tmp(:, :)
   REAL CH4RVMR_glo(klon_glo,klev)
-!
+
   INTEGER i, k, kk, j
   
@@ -77,6 +77,5 @@
   2.47875223e+02,   1.50343923e+02,   9.11881985e+01, &
   5.53084382e+01,   3.35462635e+01,   0.0           /)
-!
-  
+
   IF (debutphy .OR. mth_cur /= mth_pre) THEN
      
@@ -136,5 +135,5 @@
               
               DO kk=1, n_lev
-                 !
+
                  CH4RVMR_glo(i,k)=CH4RVMR_glo(i,k)+ &
                       MAX(0.0,MIN(paprs_glo(i,k),paprs_input(kk)) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5099)
@@ -24,5 +24,5 @@
     !Config Def  = F
     !Config Help = Used in physiq.F
-    !
+
     CALL getin_p('flag_nuc_rate_box',flag_nuc_rate_box)
     CALL getin_p('nuclat_min',nuclat_min)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: stratemit.F90  2022-07-04 mmarchand $
-!
+
 SUBROUTINE STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
-!
+
   USE dimphy, ONLY : klon,klev
   USE strataer_local_var_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: stratemit.F90  2022-07-04 mmarchand $
-!
+
 SUBROUTINE STRATEMIT(pdtphys,pdt,xlat,xlon,t_seri,pplay,paprs,tr_seri,&
                     m_emiss_vol_daily,latmin,latmax,lonmin,lonmax,altemiss,sigma_alt,id_spec,&
@@ -78,5 +78,5 @@
      xlon(i)>=lonmin-dlon .AND. &
      xlon(i)<lonmax+dlon ) THEN
-                   !
+
           WRITE(*,*) 'coordinates of volcanic injection point=',&
       xlat(i),xlon(i),day_cur,mth_cur,year_cur
